Subject: Re: Fix "git tag -u" breakage

From: Andy Parkins <[email-masked]>
Date: Wed, 31 Jan 2007 08:37:58 +0000

On Wednesday 2007 January 31 04:56, Junio C Hamano wrote:

> Sorry, and thanks.

Apologies - I thought I had searched for all instances of username in the 
script.  Perhaps I just looked for $username.  Duh.

> There was no reason to introduce a separate variable keyid to
> begin with.  I should have been more careful to read what was
> outside of the patch.

The change of name was to indicate that the variable isn't actually holding a 
username anymore, it really is a key ID.  GPG will let you specify a key in a 
number of ways, only one of which is by username.  Therefore, I think a 
better patch would be to finish what I started and change the remaining two 
instances of username to keyid.

diff --git a/git-tag.sh b/git-tag.sh
index 988bf4c..0898a70 100755
--- a/git-tag.sh
+++ b/git-tag.sh
@@ -10,7 +10,7 @@ annotate=
 signed=
 force=
 message=
-username=
+keyid=
 list=
 verify=
 while case "$#" in 0) break ;; esac
@@ -59,7 +59,7 @@ do
    annotate=1
    signed=1
    shift
-   username="$1"
+   keyid="$1"
    ;;
     -d)
        shift

Andy

-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]